Previous 1 2 Next 17 Replies Latest reply: Feb 8, 2013 8:04 AM by gerkenbr
Jeff Strait Level 1 (10 points)

I just downloaded the latest Thunderbolt firmware update, version 1.1.  When I opened the installer, I got an alert message saying "Your Thunderbolt Display does not need this update."  Closing the alert window closes the installer.


Looking in my Utilities folder inside the Applications folder I found an old version of the Thunderbolt Display firmware update, version 1.0.8, created on September 15, 2011, almost 3 months ago.


What's the story?  Why can't I install the new firmware update?  Is it true that my Thunderbolt Display does not need the new firmware?  Has anybody been able to install version 1.1?

Previous 1 2 Next